from setuptools import setup

# reading long description from file
with open('README.md') as file:
    long_description = file.read()

# specify requirements of your package here
REQUIREMENTS = ["django", "djangorestframework"]

# some more details
CLASSIFIERS = [
    'Intended Audience :: Developers',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python :: 3',
]

# calling the setup function
setup(name='django-jb',
      version='1.0.0',
      description='A Django app to parse JSON body in request and response',
      long_description=long_description,
      author='Esref Yigitbasi',
      author_email='esrefyigitbasi.dev@gmail.com',
      url="https://github.com/esrefyigitbasi-dev/djb",
      license='MIT',
      packages=["djb"],
      classifiers=CLASSIFIERS,
      install_requires=REQUIREMENTS,
      keywords='django restframework djb json parse response request api wrapper lazyresponse',
      )
